# Get order by ID Consult all order information using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/v1/orders/{id}` ## Request parameters ### Path - `id` (string, required) Order ID, returned in the response to the request made for its creation. ## Response parameters - `id` (string, optional) Identifier of the order created in the request, automatically generated by Mercado Pago. - `processing_mode` (string, optional) Order processing mode Possible enum values: - `manual` Order's processing will be made manually. It is the processing mode used for the "manual" option, as it sets the processing to be made afterwards, by using the 'Process order by ID' ("/v1/orders/{order_id}/process") endpoint. - `automatic` Order's processing will be made instantly. It is the capture mode used for the "automatic" option. - `external_reference` (string, optional) It is an external reference of the order. It can be, for example, a hashcode from the Central Bank, functioning as an identifier of the transaction origin. This field must have a maximum of 150 characters and can only be numbers, letters, hyphens (-) and underscores (_). Special characters ([ ], (), '', @) are not allowed. Optional for card, Rapipago, and Pago Fácil payments. - `total_amount` (string, optional) Total amount to be paid. - `integration_data` (object, optional) Additional information that can be used to integrate with other systems, such as the identifier of the order in the integrator's system. - `integration_data.application_id` (string, optional) Identifier of the Mercado Pago application that created the order. - `integration_data.integrator_id` (string, optional) Identifier of the integrator in Mercado Pago. It is the unique identifier of the integrator in Mercado Pago's systems. - `integration_data.platform_id` (string, optional) Identifier of the platform in Mercado Pago. It is the unique identifier of the platform in Mercado Pago's systems. - `integration_data.corporation_id` (string, optional) Identifier of the corporation in Mercado Pago. It is the unique identifier of the corporation in Mercado Pago's systems. - `integration_data.sponsor` (object, optional) Identifier of the sponsor in Mercado Pago. It is the unique identifier of the sponsor in Mercado Pago's systems. - `integration_data.sponsor.id` (string, optional) Identifier of the sponsor in Mercado Pago. It is the unique identifier of the sponsor in Mercado Pago's systems. - `user_id` (string, optional) Identifier of the user to which the Mercado Pago application that created the order belongs. It is the person that will receive the payment. - `created_date` (string, optional) Order's creation date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Order's las update date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `country_code` (string, optional) Identifier of the site (country) to which the Mercado Pago application that created the order belongs. - `type` (string, optional) Order type, associated with the Mercado Pago solution for which it is created. For online card payments, the only possible value is "online". Possible enum values: - `online` Value associated with the creation of Orders for online payments. - `status` (string, optional) Current status of the order. Possible enum values: - `created` The order has been created successfully. - `processed` All transactions have been succesfully processed. - `action_required` Integrator action is required to complete processing. For example, the capture of an authorized payment. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `processing` The order is being processed and does not require any action from the integrator. For example, the payment may be pending manual review. - `refunded` The order has been refunded. - `cancelled` The order has been canceled. - `status_detail` (string, optional) Details about payment status. Possible enum values: - `accredited` Payment accredited. - `refunded` The payment has been refunded. - `partially_refunded` The payment has been partially refunded. - `waiting_capture` In cases of "status=action_required", integrator action is required to complete processing. This "status_detail" indicates that the capture of an authorized payment is needed. - `bad_filled_card_data` An error occurred in the processing due to sending incorrect card data. - `invalid_card_token` An error occurred in the processing due to sending an incorrect card token. - `high_risk` The transaction was rejected due to fraud prevention. - `rejected_by_issuer` The transaction failed because authorization was required. - `required_call_for_authorize` The transaction was rejected by the card issuer. - `max_attempts_exceeded` The transaction was rejected for exceeding the maximum number of attempts to complete it. - `card_disabled` The card chosen for the transaction is disabled. - `card_insufficient_amount` The card chosen for the transaction does not have enough founds. - `amount_limit_exceeded` The transaction amount exceeds the card limit. - `invalid_installments` There was an error during processing. - `processing_error` There was an error during processing. - `pending_review_manual` The payment is pending manual review. - `in_process` The payment is being processed. - `cancelled` The order has been canceled. - `capture_mode` (string, optional) Order capture mode. Possible enum values: - `manual` Order's capture will be made manually. It allows the reservation of the transaction value in the payer's card, so the capture can be made afterwards, by using the 'Capture order' ("/v1/orders/{order_id}/capture") endpoint. - `automatic` Order's capture will be made automatically. Authorize and capture values at the same time. - `automatic_async` The order can be processed asynchronously. The order may remain in "status=processing" awaiting asynchronous update and the final status will be updated later through webhooks or queries. - `total_paid_amount` (string, optional) Total amount to be paid, represents the sum of all the transaction's "paid_amount" values. - `transactions` (object, optional) Contains information about the transactions associated with the order. - `transactions.payments` (array, optional) Contains information about the payment associated with the order. - `transactions.payments[].id` (string, optional) Identifier of the payment transaction created in the request, automatically generated by Mercado Pago. - `transactions.payments[].amount` (string, optional) Transaction amount. - `transactions.payments[].paid_amount` (string, optional) Transaction paid amount. Represents the real amount paid including discounts or tips. - `transactions.payments[].date_of_expiration` (string, optional) Date and time of the expiration of the payment. It is returned in the response to the 'Create order' ("/v1/orders") request. If an "expiration_time" is not sent, this field adopts a default value that depends on the payment method. - `transactions.payments[].reference_id` (string, optional) Reference ID of the transaction. - `transactions.payments[].status` (string, optional) Payment status. Possible enum values: - `created` The order has been created successfully. - `processed` The payment has been succesfully processed. - `action_required` Integrator action is required to complete processing. For example, the capture of an authorized payment. - `cancelled` The payment has been canceled and cannot be processed. - `failed` An error occurred in the processing of the payment. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `processing` The payment is being processed and does not require any action from the integrator. For example, the payment may be pending manual review. - `charged_back` A chargeback was filed and the payment is being contested. - `refunded` The order has been refunded. - `transactions.payments[].status_detail` (string, optional) Details about payment status. Possible enum values: - `accredited` Payment accredited. - `partially_refunded` The payment has been partially refunded. - `waiting_capture` In cases of "status=action_required", integrator action is required to complete processing. This "status_detail" indicates that the capture of an authorized payment is needed. - `bad_filled_card_data` An error occurred in the processing due to sending incorrect card data. - `invalid_card_token` An error occurred in the processing due to sending an incorrect card token. - `high_risk` The transaction was rejected due to fraud prevention. - `rejected_by_issuer` The transaction failed because authorization was required. - `required_call_for_authorize` The transaction was rejected by the card issuer. - `max_attempts_exceeded` The transaction was rejected for exceeding the maximum number of attempts to complete it. - `card_disabled` The card chosen for the transaction is disabled. - `card_insufficient_amount` The card chosen for the transaction does not have enough founds. - `amount_limit_exceeded` The transaction amount exceeds the card limit. - `processing_error` There was an error during processing. - `invalid_installments` The installments amount selected when creating the transaction is invalid. - `pending_review_manual` The payment is pending manual review. - `in_process` When the "status=processing", the payment is being processed. When "status=charged_back", the chargeback is being process. - `cancelled_transaction` The transaction has been canceled. - `settled` If "status=charged_back", an agreement was reached and the chargeback process has been completed. - `reimbursed` The transaction amount has been returned. - `refunded` The payment has been refunded. - `transactions.payments[].payment_method` (object, optional) Information about the payment method. Access the endpoint "/v1/payment_methods" to check all available payment methods and get a list with the details of each one and their properties. - `transactions.payments[].payment_method.id` (string, optional) Identifier of the payment method selected to make the payment. If it's a "card" payment, it will show the brand. Possible enum values: - `visa` "Visa credit" card. - `master` "Master credit" card. - `debmaster` "Master debit" card. - `debvisa` "Visa debit" card. - `rapipago` "Rapipago" payment. - `pagofacil` "Pago fácil" payment. - `transactions.payments[].payment_method.type` (string, optional) Type of payment method selected to make the payment. Possible enum values: - `credit_card` Credit card. - `debit_card` Debit card. - `ticket` Cash payment. - `transactions.payments[].payment_method.token` (string, optional) It is a mandatory field for card payments, as it is the token that identifies the card and contains its data securely. It has a minimum length of 32 characters, and a maximum length of 33. If you don't know how to generate it, go to the card payment configuration in the Checkout API documentation. - `transactions.payments[].payment_method.installments` (integer, optional) Number of installments selected. - `transactions.payments[].payment_method.statement_descriptor` (string, optional) Description that the payment will appear with in the card statement. Accepts maximum of 50 characters. - `transactions.payments[].payment_method.ticket_url` (string, optional) Ticket URL. It is returned for payment methods such as Rapipago and Pago fácil. - `transactions.payments[].payment_method.barcode_content` (string, optional) Barcode content. It is returned for payment methods such as Rapipago and Pago fácil. - `transactions.payments[].payment_method.reference` (string, optional) Reference number. It is returned for payment methods such as Rapipago and Pago fácil. - `transactions.payments[].payment_method.verification_code` (string, optional) Verification code. It is returned for payment methods such as Rapipago and Pago fácil. - `transactions.chargebacks` (array, optional) Contains information about the chargebacks associated with the order. - `transactions.chargebacks[].id` (string, optional) Identifier of the chargeback transaction, automatically generated by Mercado Pago. - `transactions.chargebacks[].transaction_id` (string, optional) Identifier of the payment transaction associated with the chargeback, automatically generated by Mercado Pago. - `transactions.chargebacks[].case_id` (string, optional) Identifier of the chargeback case. - `transactions.chargebacks[].status` (string, optional) Status of the chargeback. Possible enum values: - `in_process` The chargeback is in process. - `settled` The chargeback has been settled. - `reimbursed` The chargeback has been reimbursed. - `transactions.chargebacks[].references` (array, optional) - `description` (string, optional) Description of the purchased product or service , the reason for the payment order, or the description of a product in the marketplace. - `items` (array, optional) Information about the list of items to be paid. - `items[].title` (string, optional) Item name. The character limit is 150. - `items[].unit_price` (string, optional) Unit price of the purchased item. - `items[].quantity` (Integer, optional) Purchased items quantity. - `items[].description` (string, optional) Purchased item description. The character limit is 100. - `items[].external_code` (string, optional) Item External code. - `items[].picture_url` (string, optional) Image URL corresponding to the item. - `items[].category_id` (string, optional) Item category ID. - `items[].type` (string, optional) Item type. - `items[].warranty` (boolean, optional) If the item has a warranty. - `items[].event_date` (string, optional) Event date. - `expiration_time` (string, optional) Transaction expiration date. - `client_token` (string, optional) Authentication token to execute operations on the client side. - `config` (object, optional) Contains the payment method configuration that was applied to the order, including default payment method type, installments configuration, and who pays the installments cost. This information reflects the actual configuration that is being used for the order and can be used to display payment options to the buyer in the checkout interface. - `config.payment_method` (object, optional) Payment method configuration. - `config.payment_method.default_type` (string, optional) Default payment method type. - `config.payment_method.installments_cost` (string, optional) Responsible for the installments cost. Possible values: "seller" or "buyer". - `config.payment_method.installments` (object, optional) Installments configuration. - `config.payment_method.installments.interest_free` (object, optional) Interest-free installments configuration. - `config.payment_method.installments.interest_free.type` (string, optional) Type of interest-free installments. Possible values: "range" or "list". - `config.payment_method.installments.interest_free.values` (array, optional) Available interest-free installment values. - `config.payment_method.installments.available` (object, optional) Available installments configuration. - `config.payment_method.installments.available.type` (string, optional) Type of available installments. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_path_param | The order_id provided in the request path is not correct. Please confirm it and provide a valid ID to try again. | | 401 | 401 | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 401 | invalid_credentials | There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment. | | 404 | order_not_found | Order not found. Please check if you provided the correct order ID. | | 500 | internal_error | Generic error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/orders/{id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "ORD01J49MMW3SSBK5PSV3DFR32959", "processing_mode": "automatic", "external_reference": "ext_ref_1234", "total_amount": "50.00", "integration_data": { "application_id": "1234", "integrator_id": "dev_123", "platform_id": "1234567890", "corporation_id": "string", "sponsor": { "id": "446566691" } }, "user_id": "12345", "created_date": "2024-08-26T13:06:51.045317772Z", "last_updated_date": "2024-08-26T13:06:51.045317772Z", "country_code": "AR", "type": "online", "status": "processed", "status_detail": "accredited", "capture_mode": "automatic", "total_paid_amount": "50.00", "transactions": { "payments": [ { "id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "amount": "24.50", "paid_amount": "50.00", "date_of_expiration": "2023-03-01T10:00:00.000-04:00", "reference_id": "01JEVQM899NWSQC4FYWWW7KTF9", "status": "processed", "status_detail": "accredited", "payment_method": { "id": null, "type": null, "token": null, "installments": null, "statement_descriptor": null, "ticket_url": null, "barcode_content": null, "reference": null, "verification_code": null } } ], "chargebacks": [ { "id": "CBK01J67CQQH5904WDBVZEM4JMEP3", "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "case_id": "1234567890", "status": "in_process", "references": [ null ] } ] }, "description": "Smartphone", "items": [ { "title": "Smartphone", "unit_price": "24.50", "quantity": 4, "description": "Smartphone", "external_code": "1234", "picture_url": "https://http2.mlstatic.com/resources/frontend/statics/growth-sellers-landings/device-mlb-point-i_medium2x.png", "category_id": "MLB1055", "type": "MLB1055", "warranty": "true", "event_date": "2014-06-28T16:53:03.176-04:00" } ], "expiration_time": "P3Y6M4DT12H30M5S", "client_token": "QWERTY12345.ASDFG67890", "config": { "payment_method": { "default_type": "credit_card", "installments_cost": "seller", "installments": { "interest_free": { "type": null, "values": null }, "available": { "type": null } } } } } ```